epp_ExtResultValue (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0705.epp_ExtResultValue class

### org.openrtk.idl.epp0705

# Class epp_ExtResultValue

- `java.lang.Object`
- - `org.openrtk.idl.epp0705.epp_ExtResultValue`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ExtResultValue`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Extension to the epp_ResultValue class (though, not a subclass by the IDL). Incorporate the data of the epp_ResultValue via a "has-a" relation and adds a reason text. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0705/epp_ExtResultValue.java,v 1.1 2003/03/20 22:42:18 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/20 22:42:18 $

See Also:
  `epp_Result.setExtValues(epp_ExtResultValue[])`

  ## Field Summary
  `String` | `m_reason` The free-text reason for the error.
  `epp_ResultValue` | `m_value` The offending XML element which caused the error response from the EPP server.

  ## Constructor Summary
  `epp_ExtResultValue()` The empty constructor
  `epp_ExtResultValue(epp_ResultValue _m_value, String _m_reason)` The constructor with parameters

  ## Method Summary
  `String` | `getReason()` The accessor for retrieving the reason for the error.
  `epp_ResultValue` | `getValue()` The accessor for retrieving the offencing XML element.
  `void` | `setReason(String value)` The accessor for setting the reason for the error.
  `void` | `setValue(epp_ResultValue value)` The accessor for setting the offencing XML element.
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_reason

    public String m_reason

> The free-text reason for the error.

### m_value

    public epp_ResultValue m_value

> The offending XML element which caused the error response from the EPP server.

## Constructor Details

### epp_ExtResultValue

    public epp_ExtResultValue()

> The empty constructor

### epp_ExtResultValue

    public epp_ExtResultValue(epp_ResultValue _m_value,
                              String _m_reason)

> The constructor with parameters
> Parameters:
>   `_m_value` - The offending XML element.
>   `_m_reason` - The reason for the error.

## Method Details

### getReason

    public String getReason()

> The accessor for retrieving the reason for the error.
> Parameters:

### getValue

    public epp_ResultValue getValue()

> The accessor for retrieving the offencing XML element.
> Returns:
>   value The offending XML element

### setReason

    public void setReason(String value)

> The accessor for setting the reason for the error.
> Parameters:
>   `value` - The reason text

### setValue

    public void setValue(epp_ResultValue value)

> The accessor for setting the offencing XML element.
> Parameters:
>   `value` - The offending XML element

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS